www.cendio.com

Bug 5830

Summary: policykit dialog on login in Unity
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Desktop environmentAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: pre-1.0Keywords: hean01_tester, prosaic
Target Milestone: 4.7.0   
Hardware: PC   
OS: Unknown   
Bug Depends on:    
Bug Blocks: 5584, 5829    

Description From cendio 2016-04-01 15:36:36
On Unity in Ubuntu 16.04 you get a PolicyKit authentication dialog as you log
in with "Authentication is required to change your own data". No idea what is
causing this at this point.

The action reference is org.freedesktop.accounts.change-own-user-data.
------- Comment #1 From cendio 2016-04-12 13:43:34 -------
The first step should be to report this to upstream.
------- Comment #2 From cendio 2016-08-16 14:16:09 -------
I'm not seeing this on Ubuntu 16.04 with updates installed, probably because
the problem was fixed by either or all of these changes:

accountsservice (0.6.40-2ubuntu11.1) xenial; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - restore the allow_active/inactive rules they are needed, fix regression
      where the user account panel can't change the user own image/name
      (lp: #1581567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 May 2016 16:50:37 +0200

accountsservice (0.6.40-2ubuntu11) xenial; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - updated to use allow_any=yes to avoid displaying unndeed dialog for
      remote sessions as well, thanks Alkis Georgopoulos
      (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Apr 2016 16:15:39 +0200

accountsservice (0.6.40-2ubuntu10) xenial; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - let inactive user sessions update their own datas without 
      triggering authentification dialogs. Indicator-messages does that to
      indicate to the greeter that the user received messages, which
      currently leads to auth dialog to be stacked in the locked session,
      thanks Alkis Georgopoulos (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Apr 2016 11:23:47 +0200

IOW, FIXED by upstream.
------- Comment #3 From cendio 2016-08-17 16:27:34 -------
Verified on newly installed 16.04 with latest updates. Works as expected.